Package Details: acpi_call-dkms 1.1.0-7

Git Clone URL: https://aur.archlinux.org/acpi_call-dkms.git (read-only)
Package Base: acpi_call-dkms
Description: A linux kernel module that enables calls to ACPI methods through /proc/acpi/call
Upstream URL: https://github.com/mkottman/acpi_call
Licenses: GPL
Conflicts: acpi_call
Provides: acpi_call
Submitter: eworm
Maintainer: eworm
Last Packager: eworm
Votes: 38
Popularity: 1.881323
First Submitted: 2015-03-18 12:44
Last Updated: 2017-07-05 13:17

Latest Comments

chron commented on 2017-07-05 13:10

linux-hardened already updated to 4.12

pacman -Si linux-hardened
Repository : community
Name : linux-hardened
Version : 4.12.a-1

snakeroot commented on 2017-07-04 12:48

When kernel 4.12 comes online you'll need to modify the PKGBUILD to add this in prepare( ):

# Fix build with Linux >= 4.12
sed -i 's|asm/uaccess.h|linux/uaccess.h|' acpi_call.c

See: https://github.com/mkottman/acpi_call/pull/67/commits/ed11815a613908fba103c09c5548469c8640dd19

chron commented on 2017-07-04 11:47

Hi, please add linux-hardened-headers to optdepends and like flightcookie said, please change the source url to use https.
"acpi_call-v${pkgver}.tar.gz::https://github.com/mkottman/acpi_call/archive/v${pkgver}.tar.gz"

fightcookie commented on 2017-02-18 06:35

please change the source url to tls encrypted https version

aouellette commented on 2016-08-20 02:28

Hi, the .install script needs to be updated to take advantage of the dkms hooks for pacman.

symen commented on 2016-02-10 14:46

I got this error when trying to build the package:
ERROR: url should not be an array
which was fixed by replacing the url line with this:
url='http://github.com/mkottman/acpi_call'

I think this is due to the last pacman update.